%define fname  cyr_rfx
%define cname  iso8859-5
%define origname iso8859-5
%define prefix %_x11libdir/X11
Name: XFree86-%fname-fonts-%cname
Version: 1.1
Release: ipl4mdk.1
License: distributable
Source: cyr-rfx-%origname-%version.bdfs.tar.bz2
Source1: Makefile.fonts
Source4: fonts.alias.misc
Source5: fonts.alias.75dpi

BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in iso859-5 encoding
Obsoletes: cyr_rfx-iso8859-5
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: xorg-x11-font-utils

%description
Collection of cyrillic raster fonts for X Window System by D. Bolkhovityanov.

%prep
%setup -q -n  %origname
cd 75dpi
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
cd -
cd misc
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
cd -
cp %SOURCE1 ./Makefile
cp %SOURCE4 ./misc/fonts.alias
cp %SOURCE5 ./75dpi/fonts.alias

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%prefix/fonts/%cname
make FONTDIR=$RPM_BUILD_ROOT%prefix/fonts/%cname install
for n in 75dpi misc; do mkfontdir %buildroot%prefix/fonts/%cname/$n; done

%post
if [ "$LANG" = "ru_RU" ]; then
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/75dpi
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/misc
else
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/75dpi
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/misc
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/misc
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/75dpi
fi

%files
%doc doc/*
%dir %prefix/fonts/%cname
%prefix/fonts/%cname/misc
%prefix/fonts/%cname/75dpi
%changelog
* Wed Nov 03 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.1-ipl4mdk.1
- Fixed build with new mkfontdir.

* Thu Oct 21 2004 Stanislav Ievlev <inger@altlinux.org> 1.1-ipl4mdk
- remove old requires

* Wed Oct 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl3mdk
- fix building in hasher

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl2mdk
- rebuild

* Mon Nov 28 2000 AEN <aen@logic.ru>
- 1.1
- build for RE
- name changed

* Mon Dec 27 1999 AEN <aen@logic.ru>
- new aliases

* Tue Dec 21 1999 AEN <aen@logic.ru>
- new version
- build from bdf's

* Fri Dec 10 1999 AEN <aen@logic.ru>
- first spec
